org.apache.jmeter.visualizers

## Class XMLDefaultMutableTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.apache.jmeter.visualizers.XMLDefaultMutableTreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class XMLDefaultMutableTreeNode
      extends javax.swing.tree.DefaultMutableTreeNode

  A extended class of DefaultMutableTreeNode except that it also attached XML node and convert XML document into DefaultMutableTreeNode.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLDefaultMutableTreeNode()` Deprecated. only for use by test code
    `XMLDefaultMutableTreeNode(org.w3c.dom.Node root)`
    `XMLDefaultMutableTreeNode(java.lang.String name, org.w3c.dom.Node xmlNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `getXMLNode()` get the xml node

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLDefaultMutableTreeNode

          @Deprecated
          public XMLDefaultMutableTreeNode()

      Deprecated. only for use by test code

    - #### XMLDefaultMutableTreeNode

          public XMLDefaultMutableTreeNode(org.w3c.dom.Node root)
                                    throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### XMLDefaultMutableTreeNode

          public XMLDefaultMutableTreeNode(java.lang.String name,
                                           org.w3c.dom.Node xmlNode)

  - ### Method Detail

    - #### getXMLNode

          public org.w3c.dom.Node getXMLNode()

      get the xml node
      Returns:
        the XML node

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.